/*
 * Mattermost API Reference
 *
 * There is also a work-in-progress [Postman API reference](https://documenter.getpostman.com/view/4508214/RW8FERUn).
 *
 * The version of the OpenAPI document: 4.0.0
 * Contact: feedback@mattermost.com
 * Generated by: https://openapi-generator.tech
 */

#[derive(Clone, Debug, PartialEq, Default, serde::Serialize, serde::Deserialize)]
pub struct NewTeamMembersList {
    /// Indicates if there is another page of new team members that can be fetched.
    #[serde(rename = "has_next", skip_serializing_if = "Option::is_none")]
    pub has_next: Option<bool>,
    /// List of new team members.
    #[serde(rename = "items", skip_serializing_if = "Option::is_none")]
    pub items: Option<Vec<crate::openapi::models::NewTeamMember>>,
    /// The total count of new team members for the given time range.
    #[serde(rename = "total_count", skip_serializing_if = "Option::is_none")]
    pub total_count: Option<i32>,
}

impl NewTeamMembersList {
    pub fn new() -> NewTeamMembersList {
        NewTeamMembersList {
            has_next: None,
            items: None,
            total_count: None,
        }
    }
}
